Package org.springframework.cglib.proxy

# Interface ProxyRefDispatcher

All Superinterfaces:
  `Callback`

public interface ProxyRefDispatcher extends Callback
Dispatching `Enhancer` callback. This is the same as the `Dispatcher` except for the addition of an argument which references the proxy object.

## Method Summary

Modifier and Type
Method
Description
`Object`
`loadObject(Object proxy)`
Return the object which the original method invocation should be dispatched.

## Method Details

### loadObject

Object loadObject(Object proxy) throws Exception
Return the object which the original method invocation should be dispatched. This method is called for every method invocation.

Parameters:
  `proxy` - a reference to the proxy (generated) object
Returns:
  an object that can invoke the method
Throws:
  `Exception`